Cada vez se hace más común usar el dni electrónico en internet y nos ahorra mucho tiempo de esperas en colas frente a una ventanilla.
Los usuarios de Windows lo tienen más fácil pero los usuarios de linux tenemos que teclear un poco más si queremos hacer funcionar el dnie en ubuntu.
Aunque el proceso de instalar el dnie electrónico en Ubuntu 10.10 Maverick Meerkat es idéntico al que se siguió para instalar el dnie en ubuntu 10.04, vamos a repasar el proceso para que no te pierdas y no haya confusiones.
Por lo tanto, en este manual vamos a instalar el dni electrónico en Ubuntu 10.10 Maverick Meerkat
En primer lugar hay que partir de un sistema actualizado. Para ello vamos a Sistema > Administración > Gestor de actualizaciones. Comprobamos si hay alguna actualización disponible y la instalamos. Si no hubiera actualizaciones disponibles podemos continuar al siguiente paso.
A continuación conectamos nuestro lector de tarjetas al puerto USB y comprobamos si nuestro sistema reconoce el dispositivo:
lsusb
Aparecerá una lista de dispositivos conectados a los puertos usb y enter ellos encontraremos uno que será referenciado como SmartCard o similar. Es el que nos interesa. Por ahora sabemos que Ubuntu ha reconocido nuestro lector de tarjetas.
Ahora vamos a asegurarnos que nuestra distribución linux es capaz de leer desde el lector de tarjetas. Para ello vamos a instalar un par de paquetes:
sudo apt-get install pcsc-tools pcscd
Conecta tu lector de tarjetas y teclea:
pcsc_scan
Recibiremos una pantalla esperando a que insertemos nuestro dnie:
Introducimos el dnie en nuestro lector y automáticamente obtenemos:
Ya que hemos comprobado que ubuntu y nuestro lector se comunican sin problemas, vamos a instalar los paquetes necesarios para que el navegador web firefox sea capaz de manejar el lector de tarjetas. Será necesario que accedas a http://www.dnielectronico.es/descargas/ y navegues por las siguientes pantallas:
> Sistemas GNU/Linux y Sistemas MacOS
> Software para las distribuciones Linux
> opensc-dnie_1.4.6
> Arquitectura_32bits
> Ubuntu_Jaunty_Jackalope-32bits
Aunque estés usando Ubuntu 10,10 Maverick Meerkat debes instalar los paquetes de una  distribución anterior que te propongo o no conseguiremos hacer funcionar el lector. Descarga por tanto Ubuntu_Jaunty_opensc-dnie_1.4.6-2_i386.deb.tar y descomprímelo en algún lugar de tu ordenador.
Antes de instalarlo, vamos a bloquear las versiones que se encuentran disponibles y no terminen sobreescribiendo estas versiones antiguas, pero necesarias, que estamos instalando. Para ello acude a Sistema > Administración > Gestor de paquetes Synaptic. Localiza los paquetes:
opensc
libopensc2
Y bloquéalos: selecciona el paquete opensc y Menú Paquete > Bloquear versión. Haz lo mismo con libopensc2. Así prevendremos que nuevas actualizaciones de software sobreescriban las versiones antiguas que estamos instalando.
Una vez bloqueados, instala los tres paquetes que descomprimiste. Instálalos en este orden:
libopensc2
- opensc
- opensc_dnie
ahora es necesario que registres el certificado en firefox. Para ello acude a Aplicaciones > Oficina > Registrar módulo DNIe PKCS#11 y tal como nos avisa la pantalla, cuando cerremos firefox se abrirá una nueva ventana en la que tendremos que marcar las tres casillas y aceptar:
Por último, sólo es necesario cargar el módulo en Firefox: Ve a menú Editar > Preferencias > Avanzado, pestaña cifrado > dispositivos de seguridad. Con esto accedemos a una nueva ventana en la que tendremos que pulsar sobre Cargar e introducir la ruta del módulo:
/usr/lib/opensc/opensc-pkcs11.so
Ahora ya puedes acceceder al portal de dnie y comprobar si todo funciona correctamente.

Cada vez se hace más común usar el dni electrónico en internet y nos ahorra mucho tiempo de esperas en colas frente a una ventanilla.

Los usuarios de Windows lo tienen más fácil pero los usuarios de linux tenemos que teclear un poco más si queremos hacer funcionar el dnie en Ubuntu.

Aunque el proceso de instalar el dnie electrónico en Ubuntu 10.10 Maverick Meerkat es idéntico al que se siguió para instalar el lector dnie en Ubuntu 10.04, vamos a repasar el proceso para que no te pierdas y no haya confusiones.

Por lo tanto, en este manual vamos a instalar el dni electrónico en Ubuntu 10.10 Maverick Meerkat.



mini_dnie
(click para ampliar)
 

Nota: si quieres saber cómo instalar tu lector DNIe en Ubuntu 12.04 sigue este enlace.

En primer lugar hay que partir de un sistema actualizado. Para ello vamos a Sistema > Administración > Gestor de actualizaciones. Comprobamos si hay alguna actualización disponible y la instalamos. Si no hubiera actualizaciones disponibles podemos continuar al siguiente paso.

A continuación conectamos nuestro lector de tarjetas al puerto USB y comprobamos si nuestro sistema reconoce el dispositivo:

lsusb

 

mini_lsusb
(click para ampliar)


Aparecerá una lista de dispositivos conectados a los puertos usb y enter ellos encontraremos uno que será referenciado como SmartCard o similar. Es el que nos interesa. Por ahora sabemos que Ubuntu 10.10 ha reconocido nuestro lector de tarjetas. 

Ahora vamos a asegurarnos que nuestra distribución linux es capaz de leer desde el lector de tarjetas. Para ello vamos a instalar un par de paquetes:

sudo apt-get install pcsc-tools pcscd


Conecta tu lector de tarjetas y teclea:

pcsc_scan 


Recibiremos una pantalla esperando a que insertemos nuestro dnie:

mini_pcsc_scan-1
(click para ampliar)


Introducimos el dnie en nuestro lector y automáticamente obtenemos:

mini_pcsc_scan-2
(click para ampliar)


Ya hemos comprobado que Ubuntu 10.10 Maverick Meerkat y nuestro lector se comunican sin problemas, vamos a instalar los paquetes necesarios para que el navegador web Firefox sea capaz de manejar el lector de tarjetas. Será necesario que accedas a http://www.dnielectronico.es/descargas/ y navegues por las siguientes pantallas:
> Sistemas GNU/Linux y Sistemas MacOS
> Software para las distribuciones Linux
> opensc-dnie_1.4.6
> Arquitectura_32bits
> Ubuntu_Jaunty_Jackalope-32bits


Aunque estés usando Ubuntu 10,10 Maverick Meerkat debes instalar los paquetes de una distribución anterior que te propongo o no conseguiremos hacer funcionar el lector. Descarga por tanto Ubuntu_Jaunty_opensc-dnie_1.4.6-2_i386.deb.tar y descomprímelo en algún lugar de tu ordenador.

Antes de instalarlo, vamos a bloquear las versiones que se encuentran disponibles y no terminen sobreescribiendo estas versiones antiguas en futuras actualizaciones del sistema. Para ello acude a Sistema > Administración > Gestor de paquetes Synaptic. Localiza los paquetes:

  • opensc
  • libopensc2

Y bloquéalos: selecciona el paquete opensc y Menú Paquete > Bloquear versión. Haz lo mismo con libopensc2. Así prevendremos que nuevas actualizaciones de software sobreescriban las versiones antiguas que estamos instalando.

Una vez bloqueados, instala los tres paquetes que descomprimiste. Instálalos en este orden:

  1. libopensc2
  2. opensc
  3. opensc_dnie
mini_Centro-de-software-de-Ubuntu
(Click para ampliar)


Ahora es necesario que registres el certificado en Firefox. Para ello acude a Aplicaciones > Oficina > Registrar módulo DNIe PKCS#11 y tal como nos avisa la pantalla, cuando cerremos Firefox se abrirá una nueva ventana en la que tendremos que marcar las tres casillas y aceptar:

mini_Descargando-certificado
(click para ampliar)


Por último, sólo es necesario cargar el módulo en Firefox: ve a menú Editar > Preferencias > Avanzado, pestaña cifrado > dispositivos de seguridad. Con esto accedemos a una nueva ventana en la que tendremos que pulsar sobre Cargar e introducir la ruta del módulo:

/usr/lib/opensc/opensc-pkcs11.so

 

mini_Cargar-dispositivo-PKCS11
(click para ampliar)


Ahora ya puedes acceceder al portal de dnie y comprobar si todo funciona correctamente: http://www.dnielectronico.es/como_utilizar_el_dnie/verificar.html 

mini_comprobarcertificado
(Click para ampliar)


mini_verificarcertificado
(Click para ampliar)


Sígueme

Suscríbete

Recibe todas las novedades en tu correo

copyright © bitplanet.es 2017

Todos los derechos reservados salvo contenidos que apliquen su propia licencia

aviso legal | política de privacidad | política sobre cookies